%global         gituser         radare
%global         gitname         sdb
#release 0.9.6
#global         commit          33b743504d4d1e78b260f929bea392d67b4e583c
#git version 2015-10-11
%global         commit          0e133f1739191c7a9f06bf930e974edd712e034f
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           sdb
Version:        0.9.8
Release:        1.%{shortcommit}%{?dist}
Summary:        The string database from radare reverse engineering framework
Group:          Applications/Engineering
License:        MIT
URL:            https://github.com/radare/sdb/
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

#Patch0 is adding possibility to configure LIBDIR to the Makefile
#request raised upstream to consider possibility of adding this patch
#https://github.com/radare/sdb/issues/89
Patch0:         %{name}-dirs.patch


BuildRequires:  leveldb-devel
BuildRequires:  nodejs-devel
BuildRequires:  vala-devel
BuildRequires:  valabind


%description
The %{name} is a simple string key/value database based on djb's cdb disk
storage and supports JSON and arrays introspection.
The mcsdbd is a memcache server with disk storage based on sdb.
It is distributed as a standalone binary and a library.
There's also the sdbtypes: a vala library that implements several data
structures on top of an sdb or a memcache instance.


%package devel
Summary:        Development files for the %{name} package
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for the %{name} package. See %{name} package for more
information.


%prep
%setup -q -n %{gitname}-%{commit}
%patch0 -b .dirs -p 1


%build
CFLAGS="%{optflags}" make %{?_smp_mflags} LIBDIR=%{_libdir} PREFIX=%{_prefix} DATADIR=%{_datadir}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} PREFIX=%{_prefix}
find %{buildroot} -name '*.a' -exec rm -f {} ';'


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS README.md TODO
%license COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}*.1.*
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/vala/vapi/%{name}types.vapi


%files devel
%dir %{_includedir}/sdb
%{_includedir}/sdb/*
%{_includedir}/sdbtypes.h*
%{_libdir}/libsdb.so
%{_libdir}/pkgconfig/*.pc


%post -n %{name}-devel -p /sbin/ldconfig
%postun -n %{name}-devel -p /sbin/ldconfig


%changelog
* Sun Oct 11 2015 Michal Ambroz <rebus at, seznam.cz> 0.9.8-1.0e133f1.fc21
- initial build for Fedora for alpha of 0.9.8

